/*CLA_SCRATCHPAD_SIZE = 0x30;
--undef_sym=__cla_scratchpad_end
--undef_sym=__cla_scratchpad_start
*/
MEMORY
{
PAGE 0 :	// RAM used for CODE
  BEGIN		: origin = 0x00000, length = 0x0002
  M0		: origin = 0x00002, length = 0x03FE
// LS0..LS5 RAM: Per-CPU, CLA access, no DMA access
  LS0_5		: origin = 0x08000, length = 0x3000
// GS4..GS9 RAM: Shared, no CLA access, DMA access
  GS4_9		: origin = 0x10000, length = 0x6000
  RESET		: origin =0x3FFFC0, length = 0x0002

PAGE 1 :	// RAM used for DATA
  BOOT_RSVD	: origin = 0x00002, length = 0x00004E     /* Part of M0, BOOT rom will use this for stack */
// M1 RAM: Per-CPU, no CLA access, no DMA access; Stack pointer is initialized there
  M1		: origin = 0x00400, length = 0x0400
  CLA2CPU	: origin = 0x01480, length = 0x0080
  CPU2CLA	: origin = 0x01500, length = 0x0080
// D0..D1 RAM: Per-CPU, no CLA access, no DMA access
  D0_1		: origin = 0x0B000, length = 0x1000
  GS0_3		: origin = 0x0C000, length = 0x4000
  GS10_15	: origin = 0x16000, length = 0x6000	// unused, probably for CPU2
}


SECTIONS
{
  codestart	: > BEGIN,		PAGE = 0
  .text		: >>M0|LS0_5|GS4_9,	PAGE = 0
  .cinit	: > M0,			PAGE = 0
  .pinit	: > M0,			PAGE = 0
  .reset	: > RESET,		PAGE = 0, TYPE = DSECT
  .ebss		: > D0_1 | GS0_3,	PAGE = 1
  .econst	: > D0_1 | GS0_3,	PAGE = 1
  .esysmem	: > GS0_3,		PAGE = 1	// malloced memory, suitable for DMA

//  .text_cla	: > LS0_5,		PAGE = 0
//  ipc.cla2cpu	: > CLA2CPU,		PAGE = 1
//  ipc.cpu2cla	: > CPU2CLA,		PAGE = 1
//  .bss_cla	: > LS5,		PAGE = 1
//  .const_cla	: > LS5,		PAGE = 1
}
